Bug 1248786 - [RFE] Customer Portal Satellite Cert / Manifest tool: Extend an existing subscription assignment and/or change quantifies for subscription pools within a Manifest/Certs or between Manifests/Certs
[RFE] Customer Portal Satellite Cert / Manifest tool: Extend an existing subs...
Status: NEW
Product: Red Hat Customer Portal
Classification: Red Hat
Component: Subscriptions/RHSM (Show other bugs)
unspecified
All Linux
urgent Severity high
: ---
: ---
Assigned To: Thomas "Shea" DeAntonio
Jon Allen
: UserExperience
Depends On:
Blocks: 1122832 1289374 CEE_Sat6_Top_BZs/GSS_Sat6_Top_Bugs
  Show dependency treegraph
 
Reported: 2015-07-30 16:11 EDT by Karthick Murugadhas
Modified: 2017-03-01 13:46 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Tom McKay 2016-10-20 08:37:12 EDT
Portion of original private description:

tl;dr allow subscription quantities to be adjusted in a subscription manager application (manifest), eg. changing an attached sub from quantity 2 to quantity 4 in-place

The requirement is to grow an existing subscription assignment in the subscription management tool. With multiple satellites, it can be difficult to juggle subscriptions without removing a block and forcing clients to re-attach.

i.e

Consider we have the following subscriptions added to the manifest (applicable to both SAM & Satellite6)

        Red Hat Satellite 6 (For Transition Only)        10533615        1        09/12/2015
        Employee SKU        10169621        50        01/01/2022

Now suppose we want to increase quantity by 5 for "Employee SKU", in this case we can not update total subscription but we can add.

        Employee SKU        10169621        5        01/01/2022

Though for removal we need to remove total pool and then add again with required quantity.
Comment 3 Peter Vreman 2016-10-20 08:45:35 EDT
We have a use case where we are migration systems from SatA to SatB in a process of Dev, QA, Prod. We must make sure that the not migrated systems connected to SatA are not touched. That means also for the subscriptions we have to migrate them in small portions.

That we will migrate 20 out of a pool of 100 subscriptions each time. That means we need 5 times to move subsscription on the RedHat Portal.

In SatA all subscriptions were in 1 big pool. But now on SatB the subscription will have 5 smaller pools.
This makes it for me as end user not easy identifiable how many subscriptions are now really used or free.

Note You need to log in before you can comment on or make changes to this bug.